<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [FactionWorkTask](./bitburner.factionworktask.md)

## FactionWorkTask interface

Faction Work

**Signature:**

```typescript
interface FactionWorkTask extends PlayerBaseTask 
```
**Extends:** [PlayerBaseTask](./bitburner.playerbasetask.md)

## Remarks

An object representing the current work for a faction

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[factionName](./bitburner.factionworktask.factionname.md)


</td><td>


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>


</td></tr>
<tr><td>

[factionWorkType](./bitburner.factionworktask.factionworktype.md)


</td><td>


</td><td>

[FactionWorkType](./bitburner.factionworktype.md)


</td><td>


</td></tr>
<tr><td>

[type](./bitburner.factionworktask.type.md)


</td><td>


</td><td>

"FACTION"


</td><td>


</td></tr>
</tbody></table>

